<div id="login">
    <div class="container">
      <div class="section-header">
        <h2 class="mb-3"> Signup</h2>
        <p>
          Lorem ipsum dolor sit amet, consectetur adipiscing elit. Maecenas in mi
          libero. Quisque convallis, enim at venenatis tincidunt.
        </p>
      </div>
      <div class="row">
        <div class="col-md-6">
          <div class="login-form">
            
                
<div class="container">
    <h2>Registration</h2>
    <form [formGroup]="signupForm" (ngSubmit)="signup()" >
      <div class="form-group">
        <label for="role">Choose Role:</label>
        <select class="form-control" formControlName="rrole" id="rrole" >
          <option value="admin">Admin</option>
          <option value="owner">Owner</option>
        <option value="client">Client</option>
        </select>
      </div>
      
        <div class="form-group">
            <label for="firstName">First Name:</label>
            <input type="text" formControlName="firstName" class="form-control" placeholder="First Name">
            <div class="text-danger" *ngIf="signupForm.controls['firstName'].invalid && (signupForm.controls['firstName'].dirty || signupForm.controls['firstName'].touched)">
                <div *ngIf="signupForm.controls['firstName'].errors?.required">First Name is required</div>
                <div *ngIf="signupForm.controls['firstName'].errors?.minlength">First Name must be at least 3 characters long</div>
            </div>
        </div>

        <div class="form-group">
            <label for="lastName">Last Name:</label>
            <input type="text" formControlName="lastName" class="form-control" placeholder="Last Name">
            <div class="text-danger" *ngIf="signupForm.controls['lastName'].invalid && (signupForm.controls['lastName'].dirty || signupForm.controls['lastName'].touched)">
                <div *ngIf="signupForm.controls['lastName'].errors?.required">Last Name is required</div>
                <div *ngIf="signupForm.controls['lastName'].errors?.minlength">Last Name must be at least 3 characters long</div>
            </div>
        </div>
    
        <div class="form-group">
            <label for="email">Email:</label>
            <input type="email" formControlName="email" class="form-control" placeholder="john@example.com">
            <div class="text-danger" *ngIf="signupForm.controls['email'].invalid && (signupForm.controls['email'].dirty || signupForm.controls['email'].touched)">
                <div *ngIf="signupForm.controls['email'].errors?.required">Email is required</div>
                <div *ngIf="signupForm.controls['email'].errors?.email">Invalid email format</div>
            </div>
        </div>
    
        <div class="form-group">
            <label for="phoneNumber">Phone Number:</label>
            <input type="text" formControlName="phoneNumber" class="form-control" placeholder="123-456-7890">
            <div class="text-danger" *ngIf="signupForm.controls['phoneNumber'].invalid && (signupForm.controls['phoneNumber'].dirty || signupForm.controls['phoneNumber'].touched)">
                <div *ngIf="signupForm.controls['phoneNumber'].errors?.required">Phone Number is required</div>
                <div *ngIf="signupForm.controls['phoneNumber'].errors?.pattern">Only Numbers Allowed</div>
                <div *ngIf="signupForm.controls['phoneNumber'].errors?.minLength">8 Numbers Minimum</div>
                
            </div>
        </div>
        <div class="form-group">
            <label for="address">Address:</label>
            <input type="text" formControlName="address" class="form-control" placeholder="Address">
            <div class="text-danger" *ngIf="signupForm.controls['lastName'].invalid && (signupForm.controls['address'].dirty || signupForm.controls['address'].touched)">
                <div *ngIf="signupForm.controls['address'].errors?.required">address is required</div>
                <div *ngIf="signupForm.controls['address'].errors?.minlength">address must be at least 3 characters long</div>
                
            </div>
        </div>
    
        <div class="form-group">
            <label for="password">Password:</label>
            <input type="password" formControlName="password" class="form-control" placeholder="Password123">
            <div class="text-danger" *ngIf="signupForm.controls['password'].invalid && (signupForm.controls['password'].dirty || signupForm.controls['password'].touched)">
                <div *ngIf="signupForm.controls['password'].errors?.required">Password is required</div>
                <div *ngIf="signupForm.controls['password'].errors?.minlength">Password must be at least 8 characters long</div>
            </div>
        </div>

        <div class="form-group">
            <label for="confirmPassword">Confirm Password:</label>
            <input type="password" formControlName="confirmPassword" class="form-control" placeholder="confirm password">
            <div class="text-danger" *ngIf="signupForm.controls['confirmPassword'].invalid && (signupForm.controls['confirmPassword'].dirty || signupForm.controls['confirmPassword'].touched)">
              <div *ngIf="signupForm.controls['confirmPassword'].errors?.mustMatch">MustMatch</div>
              
        </div>
        </div>
    
        <input
                type="submit"
                
                [disabled]="this.signupForm.invalid"
                class="btn btn-primary py-3 px-5"
              />
    </form>
    